org.eclipse.cdt.core.resources

## Interface IPathEntryStore

All Superinterfaces:
  ICExtension

    public interface IPathEntryStore
    extends ICExtension

IPathEntryStore

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addPathEntryStoreListener(IPathEntryStoreListener listener)` Add a listener to the store.
`void` `close()`
`IPathEntry[]` `getRawPathEntries()` Returns the path entries save on the project.
`void` `removePathEntryStoreListener(IPathEntryStoreListener listener)` Remove the listener form the list.
`void` `setRawPathEntries(IPathEntry[] entries)` Save the entries on the project.

### Methods inherited from interface org.eclipse.cdt.core.ICExtension

`getConfigExtensionReference, getExtensionReference, getProject`

### Method Detail

#### getRawPathEntries

    IPathEntry[] getRawPathEntries()
                            throws org.eclipse.core.runtime.CoreException

Returns the path entries save on the project.

Throws:
  `org.eclipse.core.runtime.CoreException`

#### setRawPathEntries

    void setRawPathEntries(IPathEntry[] entries)
                    throws org.eclipse.core.runtime.CoreException

Save the entries on the project. Setting paths should fire a CONTENT_CHANGED events to the listeners. It is up to the listener to calculate the deltas.

Parameters:
  `entries` -
Throws:
  `org.eclipse.core.runtime.CoreException`

#### addPathEntryStoreListener

    void addPathEntryStoreListener(IPathEntryStoreListener listener)

Add a listener to the store.

Parameters:
  `listener` -

#### removePathEntryStoreListener

    void removePathEntryStoreListener(IPathEntryStoreListener listener)

Remove the listener form the list.

Parameters:
  `listener` -

#### close

    void close()